---
title: Chef Habitat 0.64.0 Release!
date: 2018-09-27
author: Scott Macfarlane
tags: release notes
category: product 
classes: body-article
---

Habitat 0.64.0 Release notes

We are happy to announce the release of Chef Habitat 0.64.0. We have a couple of new features as well as bug fixes, so please read on for all the details. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/install-habitat/). Thanks again for using Chef Habitat!


### New Features & Enhancements
- Fail build if CR+LF endings exist in hooks [#5648](https://github.com/habitat-sh/habitat/pull/5648) ([jeremymv2](https://github.com/jeremymv2))
- Added a `hab pkg dependencies <PKG_IDENT>` command [#5668](https://github.com/habitat-sh/habitat/pull/5668) ([jamesc](https://github.com/jamesc))

### Behavioral Changes
- Refuting an incarnation immediately increments to one-greater [#5673](https://github.com/habitat-sh/habitat/pull/5673) ([christophermaier](https://github.com/christophermaier))
- Remove/replace set_{permissions,owner} calls which aren&#39;t supported on windows [#5591](https://github.com/habitat-sh/habitat/pull/5591) ([baumanj](https://github.com/baumanj))
- allow ENV overrides for `--listen-{ctl,gossip,http}` [#5576](https://github.com/habitat-sh/habitat/pull/5576) ([jeremymv2](https://github.com/jeremymv2))

### Bug Fixes
- Persist Incarnation Numbers [#5616](https://github.com/habitat-sh/habitat/pull/5616) ([christophermaier](https://github.com/christophermaier))
- Replace deprecated gen_ascii_chars() with sample_iter(&amp;Alphanumeric) [#5655](https://github.com/habitat-sh/habitat/pull/5655) ([baumanj](https://github.com/baumanj))
- Honor secrets in `hab studio run` and `hab pkg build` in rootless studio image [#5659](https://github.com/habitat-sh/habitat/pull/5659) ([elliott-davis](https://github.com/elliott-davis))
- Update Cargo.lock, replace mktemp with rand and fix deprecations [#5656](https://github.com/habitat-sh/habitat/pull/5656) ([baumanj](https://github.com/baumanj))
- Add more detail to error output when supervisor version is too old [#5611](https://github.com/habitat-sh/habitat/pull/5611) ([baumanj](https://github.com/baumanj))

### Merged Pull Requests
- install package in appveyor except for launcher [#5677](https://github.com/habitat-sh/habitat/pull/5677) ([mwrock](https://github.com/mwrock))
- Update show_package to always use a channel [#5674](https://github.com/habitat-sh/habitat/pull/5674) ([chefsalim](https://github.com/chefsalim))
- Add myself to maintainers [#5672](https://github.com/habitat-sh/habitat/pull/5672) ([smacfarlane](https://github.com/smacfarlane))
- Fix a typo [#5671](https://github.com/habitat-sh/habitat/pull/5671) ([raskchanky](https://github.com/raskchanky))
- supervisor and svc pkg versions in sup log output [#5666](https://github.com/habitat-sh/habitat/pull/5666) ([jeremymv2](https://github.com/jeremymv2))
- Update Vagrant dev env to 18.04 and cleanup dev steps [#5667](https://github.com/habitat-sh/habitat/pull/5667) ([jamesc](https://github.com/jamesc))
- windows defaults to local studio [#5652](https://github.com/habitat-sh/habitat/pull/5652) ([mwrock](https://github.com/mwrock))
- fix local windows studio regressions [#5660](https://github.com/habitat-sh/habitat/pull/5660) ([mwrock](https://github.com/mwrock))
- [ci,rustfmt] Formatting due to rustfmt 0.99.1-stable in Rust 1.29.0. [#5643](https://github.com/habitat-sh/habitat/pull/5643) ([fnichol](https://github.com/fnichol))
- Create /usr/bin when running the studio [#5651](https://github.com/habitat-sh/habitat/pull/5651) ([smacfarlane](https://github.com/smacfarlane))
- Update readme template to match core-plans requirements [#5530](https://github.com/habitat-sh/habitat/pull/5530) ([predominant](https://github.com/predominant))
- add myself to project maintainers [#5650](https://github.com/habitat-sh/habitat/pull/5650) ([mpeck](https://github.com/mpeck))
- Adding myself to Maintainers file [#5647](https://github.com/habitat-sh/habitat/pull/5647) ([mjingle](https://github.com/mjingle))
- do not install and upload launcher in release builds [#5637](https://github.com/habitat-sh/habitat/pull/5637) ([mwrock](https://github.com/mwrock))
- Add a command line flag for disabling the HTTP gateway [#5535](https://github.com/habitat-sh/habitat/pull/5535) ([raskchanky](https://github.com/raskchanky))
- clarifies what is available in on premises option and what is not [#5552](https://github.com/habitat-sh/habitat/pull/5552) ([nellshamrell](https://github.com/nellshamrell))
- Update &#39;wrong&#39; value passed to WrongActivePackageTarget to be the artifacts target [#5596](https://github.com/habitat-sh/habitat/pull/5596) ([smacfarlane](https://github.com/smacfarlane))
- Remove incorrect documentation for applying config with a ring key [#5606](https://github.com/habitat-sh/habitat/pull/5606) ([smacfarlane](https://github.com/smacfarlane))
- Added myself to CODEOWNERS [#5635](https://github.com/habitat-sh/habitat/pull/5635) ([mjingle](https://github.com/mjingle))
- Ensure Chef Habitat Toolchain Omnibus package is installed [#5622](https://github.com/habitat-sh/habitat/pull/5622) ([christophermaier](https://github.com/christophermaier))
- this removes the studio hack needed to get 0.63 out [#5630](https://github.com/habitat-sh/habitat/pull/5630) ([mwrock](https://github.com/mwrock))
- revert launcher deploy troubleshooting code [#5633](https://github.com/habitat-sh/habitat/pull/5633) ([mwrock](https://github.com/mwrock))
- more troubleshooting: install the launcher [#5632](https://github.com/habitat-sh/habitat/pull/5632) ([mwrock](https://github.com/mwrock))
- temporarily disable launcher install and upload [#5631](https://github.com/habitat-sh/habitat/pull/5631) ([mwrock](https://github.com/mwrock))
- Add myself as codeowner on www/site/content [#5619](https://github.com/habitat-sh/habitat/pull/5619) ([kagarmoe](https://github.com/kagarmoe))
- Blog post for Hab 0.63.0 [#5601](https://github.com/habitat-sh/habitat/pull/5601) ([chefsalim](https://github.com/chefsalim))
- Post 0.63.0 tasks [#5628](https://github.com/habitat-sh/habitat/pull/5628) ([christophermaier](https://github.com/christophermaier))
